# akaunting-fly

[Akaunting](https://akaunting.com) on fly.io

[Initial deployment DB guide](https://fly.io/docs/app-guides/mysql-on-fly/)
```
# TL;DR
cd mariadb
flyctl volumes create mariadbdata --size 3
flyctl secrets set MYSQL_PASSWORD=user-password MYSQL_ROOT_PASSWORD=root-password
# Adapt fly.toml as per guide
flyctl deploy
```

Initial deployment akaunting app
```
# From root of this repo
flyctl secrets set ADMIN_PASSWORD=your-admin-password DB_PASSWORD=MYSQL_PASSWORD
flyctl volumes create invdata --size 3
# Only use env AKAUNTING_SETUP for initial setup, do updates without it
flyctl deploy --env AKAUNTING_SETUP=true
# Add CNAME DNS record 
# https://fly.io/docs/getting-started/working-with-fly-apps/#setting-a-cname-record
flyctl certs create your.greatdomain.com
flyctl scale memory 512
```
